pkgsrc-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[pkgsrc/trunk]: pkgsrc/www/seamonkey Install pkg-config files so the gecko en...
details: https://anonhg.NetBSD.org/pkgsrc/rev/12526c60eed8
branches: trunk
changeset: 518940:12526c60eed8
user: salo <salo%pkgsrc.org@localhost>
date: Sun Sep 24 16:21:33 2006 +0000
description:
Install pkg-config files so the gecko engine can be used by other
applications, bump PKGREVISION.
Sync files with www/mozilla and allow seamonkey to satisfy gecko
dependency.
diffstat:
www/seamonkey/Makefile | 3 +-
www/seamonkey/Makefile.common | 6 +-
www/seamonkey/PLIST | 10 +-
www/seamonkey/files/moz-install | 70 +++++++++++
www/seamonkey/files/mozilla-ELF.in | 4 +
www/seamonkey/files/mozilla-Mach-O.in | 4 +
www/seamonkey/files/mozilla-a.out.in | 6 +
www/seamonkey/files/xptcinvoke_asm_sparc64_netbsd.s | 112 ++++++++++++++++++
www/seamonkey/files/xptcinvoke_sparc64_netbsd.cpp | 84 +++++++++++++
www/seamonkey/files/xptcstubs_asm_sparc64_netbsd.s | 66 ++++++++++
www/seamonkey/files/xptcstubs_sparc64_netbsd.cpp | 122 ++++++++++++++++++++
www/seamonkey/gecko-depends.mk | 11 +
www/seamonkey/gecko-options.mk | 5 +
www/seamonkey/options.mk | 17 ++-
14 files changed, 514 insertions(+), 6 deletions(-)
diffs (truncated from 615 to 300 lines):
diff -r 101cbbeadca6 -r 12526c60eed8 www/seamonkey/Makefile
--- a/www/seamonkey/Makefile Sun Sep 24 16:04:00 2006 +0000
+++ b/www/seamonkey/Makefile Sun Sep 24 16:21:33 2006 +0000
@@ -1,6 +1,7 @@
-# $NetBSD: Makefile,v 1.8 2006/09/15 14:05:23 ghen Exp $
+# $NetBSD: Makefile,v 1.9 2006/09/24 16:21:33 salo Exp $
MOZILLA= seamonkey
+PKGREVISION= 1
COMMENT= Full featured gecko-based browser
diff -r 101cbbeadca6 -r 12526c60eed8 www/seamonkey/Makefile.common
--- a/www/seamonkey/Makefile.common Sun Sep 24 16:04:00 2006 +0000
+++ b/www/seamonkey/Makefile.common Sun Sep 24 16:21:33 2006 +0000
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile.common,v 1.9 2006/09/15 15:54:04 ghen Exp $
+# $NetBSD: Makefile.common,v 1.10 2006/09/24 16:21:33 salo Exp $
MOZ_VER= 1.0.5
MOZ_DIST_VER?= ${MOZ_VER}
@@ -10,7 +10,7 @@
MASTER_SITES+= ftp://public.planetmirror.com.au/pub/seamonkey/releases/${MOZ_VER}/
CATEGORIES= www
EXTRACT_SUFX= .tar.bz2
-
+
MAINTAINER= ghen%NetBSD.org@localhost
HOMEPAGE?= http://www.mozilla.org/projects/seamonkey
@@ -18,7 +18,7 @@
DISTINFO_FILE= ${.CURDIR}/../../www/seamonkey/distinfo
PATCHDIR= ${.CURDIR}/../../www/seamonkey/patches
-FILESDIR= ${.CURDIR}/../../www/mozilla/files
+FILESDIR= ${.CURDIR}/../../www/seamonkey/files
BUILD_DEPENDS+= zip>=2.3:../../archivers/zip
diff -r 101cbbeadca6 -r 12526c60eed8 www/seamonkey/PLIST
--- a/www/seamonkey/PLIST Sun Sep 24 16:04:00 2006 +0000
+++ b/www/seamonkey/PLIST Sun Sep 24 16:21:33 2006 +0000
@@ -1,4 +1,4 @@
-@comment $NetBSD: PLIST,v 1.3 2006/06/07 15:23:21 ghen Exp $
+@comment $NetBSD: PLIST,v 1.4 2006/09/24 16:21:33 salo Exp $
bin/${MOZILLA}
@comment begin PROGRAMS
lib/${MOZILLA}/${MOZILLA_BIN}
@@ -125,6 +125,14 @@
${SUNOSLIB}lib/${MOZILLA}/libfreebl_pure32_3.${SO_SUFFIX}
lib/${MOZILLA}/plugins/libunixprintplugin.${SO_SUFFIX}
@comment end DSO
+@comment begin PKGCONFIG
+lib/pkgconfig/seamonkey-gtkmozembed.pc
+lib/pkgconfig/seamonkey-js.pc
+lib/pkgconfig/seamonkey-nspr.pc
+lib/pkgconfig/seamonkey-nss.pc
+lib/pkgconfig/seamonkey-plugin.pc
+lib/pkgconfig/seamonkey-xpcom.pc
+@comment end PKGCONFIG
@comment begin DATA
lib/${MOZILLA}/LICENSE
lib/${MOZILLA}/README
diff -r 101cbbeadca6 -r 12526c60eed8 www/seamonkey/files/moz-install
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/www/seamonkey/files/moz-install Sun Sep 24 16:21:33 2006 +0000
@@ -0,0 +1,70 @@
+#!/bin/sh
+#
+# $NetBSD: moz-install,v 1.1 2006/09/24 16:21:33 salo Exp $
+
+${SED} -e "s,@PREFIX@,${PREFIX},g" -e "s,@MOZILLA@,${MOZILLA}," -e "s,@MOZILLA_BIN@,${MOZILLA_BIN}," ${FILESDIR}/mozilla-${OBJECT_FMT}.in > ${PREFIX}/bin/${MOZILLA}
+${CHOWN} ${BINOWN} ${PREFIX}/bin/${MOZILLA}
+${CHGRP} ${BINGRP} ${PREFIX}/bin/${MOZILLA}
+${CHMOD} ${BINMODE} ${PREFIX}/bin/${MOZILLA}
+
+#
+# Substitute variables
+#
+TMP_PLIST=${WRKDIR}/TMP_PLIST.$$
+trap "${RM} -f ${TMP_PLIST}" 1 2 15
+
+${SED} -e "s/\${MOZILLA}/${MOZILLA}/g" -e "s/\${SO_SUFFIX}/${SO_SUFFIX}/" -e "s/\${MOZILLA_BIN}/${MOZILLA_BIN}/g" -e "s/\${SUNOSLIB}/${SUNOSLIB}/" < ${PLIST_SRC} > ${TMP_PLIST}
+
+# make directories
+for i in `${SED} -n -e '/^@comment begin DIRS$/,/^@comment end DIRS$/p' ${TMP_PLIST} | ${EGREP} ^@dirrm | ${SED} -e 's/^@dirrm//'` ; do
+ ${BSD_INSTALL_DATA_DIR} ${PREFIX}/$i
+done
+
+# install programs
+for i in `${SED} -n -e '/^@comment begin PROGRAMS$/,/^@comment end PROGRAMS$/p' ${TMP_PLIST} | ${EGREP} -v ^@comment` ; do
+ src=`echo $i | ${SED} -e "s@lib/${MOZILLA}@dist/bin@"`;
+ ${BSD_INSTALL_PROGRAM} ${WRKSRC}/${src} ${PREFIX}/$i
+done
+
+# install scripts
+for i in `${SED} -n -e '/^@comment begin SCRIPTS$/,/^@comment end SCRIPTS$/p' ${TMP_PLIST} | ${EGREP} -v ^@comment` ; do
+ src=`echo $i | ${SED} -e "s@lib/${MOZILLA}@dist/bin@"`;
+ ${BSD_INSTALL_SCRIPT} ${WRKSRC}/${src} ${PREFIX}/$i
+done
+
+# install DSO
+for i in `${SED} -n -e '/^@comment begin DSO$/,/^@comment end DSO$/p' ${TMP_PLIST} | ${EGREP} -v ^@comment` ; do
+ src=`echo $i | ${SED} -e "s@lib/${MOZILLA}@dist/bin@"`;
+ ${MOZ_INSTALL_LIB} ${WRKSRC}/${src} ${PREFIX}/$i
+done
+
+# install PKGCONFIG
+for i in `${SED} -n -e '/^@comment begin PKGCONFIG$/,/^@comment end PKGCONFIG$/p' ${TMP_PLIST} | ${EGREP} -v ^@comment` ; do
+ src=`echo $i | ${SED} -e "s@lib/pkgconfig@build/unix@"`;
+ ${BSD_INSTALL_DATA} ${WRKSRC}/${src} ${PREFIX}/$i
+done
+
+# install DATA
+for i in `${SED} -n -e '/^@comment begin DATA$/,/^@comment end DATA$/p' ${TMP_PLIST} | ${EGREP} -v ^@comment` ; do
+ src=`echo $i | ${SED} -e "s@lib/${MOZILLA}@dist/bin@"`;
+ ${BSD_INSTALL_DATA} ${WRKSRC}/${src} ${PREFIX}/$i
+done
+
+# install INCLUDE
+for i in `${SED} -n -e '/^@comment begin INCLUDE$/,/^@comment end INCLUDE$/p' ${TMP_PLIST} | ${EGREP} -v ^@comment` ; do
+ src=`echo $i | ${SED} -e "s@include/${MOZILLA}@dist/include@"`;
+ ${BSD_INSTALL_DATA} ${WRKSRC}/${src} ${PREFIX}/$i
+done
+
+# install INCLUDE-PUBLIC
+for i in `${SED} -n -e '/^@comment begin INCLUDE-PUBLIC$/,/^@comment end INCLUDE-PUBLIC$/p' ${TMP_PLIST} | ${EGREP} -v ^@comment` ; do
+ src=`echo $i | ${SED} -e "s@include/${MOZILLA}@dist/public@"`;
+ ${BSD_INSTALL_DATA} ${WRKSRC}/${src} ${PREFIX}/$i
+done
+
+${RM} -f ${TMP_PLIST}
+
+#
+# remove generated user conf directory ${WRKDIR}/.mozilla
+#
+${RM} -rf ${WRKDIR}/.mozilla
diff -r 101cbbeadca6 -r 12526c60eed8 www/seamonkey/files/mozilla-ELF.in
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/www/seamonkey/files/mozilla-ELF.in Sun Sep 24 16:21:33 2006 +0000
@@ -0,0 +1,4 @@
+#!/bin/sh
+MOZILLA_FIVE_HOME=@PREFIX@/lib/@MOZILLA@
+export MOZILLA_FIVE_HOME
+exec @PREFIX@/lib/@MOZILLA@/@MOZILLA_BIN@ "$@"
diff -r 101cbbeadca6 -r 12526c60eed8 www/seamonkey/files/mozilla-Mach-O.in
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/www/seamonkey/files/mozilla-Mach-O.in Sun Sep 24 16:21:33 2006 +0000
@@ -0,0 +1,4 @@
+#!/bin/sh
+MOZILLA_FIVE_HOME=@PREFIX@/lib/@MOZILLA@
+export MOZILLA_FIVE_HOME
+exec @PREFIX@/lib/@MOZILLA@/@MOZILLA_BIN@ "$@"
diff -r 101cbbeadca6 -r 12526c60eed8 www/seamonkey/files/mozilla-a.out.in
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/www/seamonkey/files/mozilla-a.out.in Sun Sep 24 16:21:33 2006 +0000
@@ -0,0 +1,6 @@
+#!/bin/sh
+MOZILLA_FIVE_HOME=@PREFIX@/lib/@MOZILLA@
+LD_LIBRARY_PATH=@PREFIX@/lib/@MOZILLA@
+export MOZILLA_FIVE_HOME
+export LD_LIBRARY_PATH
+exec @PREFIX@/lib/@MOZILLA@/@MOZILLA_BIN@ "$@"
diff -r 101cbbeadca6 -r 12526c60eed8 www/seamonkey/files/xptcinvoke_asm_sparc64_netbsd.s
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/www/seamonkey/files/xptcinvoke_asm_sparc64_netbsd.s Sun Sep 24 16:21:33 2006 +0000
@@ -0,0 +1,112 @@
+/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 4 -*-
+ *
+ * The contents of this file are subject to the Netscape Public
+ * License Version 1.1 (the "License"); you may not use this file
+ * except in compliance with the License. You may obtain a copy of
+ * the License at http://www.mozilla.org/NPL/
+ *
+ * Software distributed under the License is distributed on an "AS
+ * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
+ * implied. See the License for the specific language governing
+ * rights and limitations under the License.
+ *
+ * The Original Code is mozilla.org code.
+ *
+ * The Initial Developer of the Original Code is Netscape
+ * Communications Corporation. Portions created by Netscape are
+ * Copyright (C) 1998 Netscape Communications Corporation. All
+ * Rights Reserved.
+ *
+ * Contributor(s):
+ */
+
+/* Platform specific code to invoke XPCOM methods on native objects */
+ .global XPTC_InvokeByIndex
+ .type XPTC_InvokeByIndex, #function
+/*
+ XPTC_InvokeByIndex(nsISupports* that, PRUint32 methodIndex,
+ PRUint32 paramCount, nsXPTCVariant* params);
+
+*/
+/*
+ * Note: To simplify stack handling we allocate an extra stack
+ * frame here. In principle invoke_copy_to_stack() could
+ * save the parameters our caller's frame and we could
+ * reclaim the stackframe and do a tail call to the
+ * function. However, this gets complicated....
+ *
+ * The vtable consist of be:
+ *
+ * struct {
+ * short __delta;
+ * short __index;
+ * union {
+ * P __pfn;
+ * short __delta2;
+ * } __pfn_or_delta2;
+ * };
+ *
+ * See gcc/cp/cp-tree.h
+ */
+
+XPTC_InvokeByIndex:
+ save %sp,-(128 + 64),%sp ! room for the register window and
+ ! struct pointer, rounded up to 0 % 64
+ sll %i2,4,%l0 ! assume the worst case
+ ! paramCount * 2 * 8 bytes
+ cmp %l0, 0 ! are there any args? If not,
+ be .invoke ! no need to copy args to stack
+ nop
+
+ sub %sp,%l0,%sp ! create the additional stack space
+ add %sp,0x7ff+136,%o0 ! step past the register window, the
+ ! struct result pointer and the 'this' slot
+ mov %i2,%o1 ! paramCount
+ call invoke_copy_to_stack
+ mov %i3,%o2 ! params
+
+!
+! load arguments from stack into the outgoing registers
+! BIAS is 0x7ff (2047)
+!
+
+! load the %o1..5 64bit (extended word) output registers registers
+ ldx [%sp + 0x7ff + 136],%o1 ! %i1
+ ldx [%sp + 0x7ff + 144],%o2 ! %i2
+ ldx [%sp + 0x7ff + 152],%o3 ! %i3
+ ldx [%sp + 0x7ff + 160],%o4 ! %i4
+ ldx [%sp + 0x7ff + 168],%o5 ! %i5
+
+! load the even number double registers starting with %f2
+ ldd [%sp + 0x7ff + 136],%f2
+ ldd [%sp + 0x7ff + 144],%f4
+ ldd [%sp + 0x7ff + 152],%f6
+ ldd [%sp + 0x7ff + 160],%f8
+ ldd [%sp + 0x7ff + 168],%f10
+ ldd [%sp + 0x7ff + 176],%f12
+ ldd [%sp + 0x7ff + 184],%f14
+ ldd [%sp + 0x7ff + 192],%f16
+ ldd [%sp + 0x7ff + 200],%f18
+ ldd [%sp + 0x7ff + 208],%f20
+ ldd [%sp + 0x7ff + 216],%f22
+ ldd [%sp + 0x7ff + 224],%f24
+ ldd [%sp + 0x7ff + 232],%f26
+ ldd [%sp + 0x7ff + 240],%f28
+ ldd [%sp + 0x7ff + 248],%f30
+
+!
+! calculate the target address from the vtable
+!
+.invoke:
+ sll %i1,3,%l0 ! index *= 8
+ ldx [%i0],%l1 ! *this --> address of vtable
+ ldx [%l0 + %l1],%l0 ! this->vtable[index] --> address
+
+ jmpl %l0,%o7 ! call the routine
+ mov %i0,%o0 ! move 'this' pointer to out register
+
+ mov %o0,%i0 ! propagate return value
+ ret
+ restore
+
+ .size XPTC_InvokeByIndex, .-XPTC_InvokeByIndex
diff -r 101cbbeadca6 -r 12526c60eed8 www/seamonkey/files/xptcinvoke_sparc64_netbsd.cpp
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/www/seamonkey/files/xptcinvoke_sparc64_netbsd.cpp Sun Sep 24 16:21:33 2006 +0000
@@ -0,0 +1,84 @@
+/* -*- Mode: C; tab-width: 8; indent-tabs-mode: nil; c-basic-offset: 4 -*-
+ *
+ * The contents of this file are subject to the Netscape Public
+ * License Version 1.1 (the "License"); you may not use this file
+ * except in compliance with the License. You may obtain a copy of
+ * the License at http://www.mozilla.org/NPL/
+ *
+ * Software distributed under the License is distributed on an "AS
+ * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
+ * implied. See the License for the specific language governing
+ * rights and limitations under the License.
+ *
+ * The Original Code is mozilla.org code.
+ *
+ * The Initial Developer of the Original Code is Netscape
+ * Communications Corporation. Portions created by Netscape are
+ * Copyright (C) 1998 Netscape Communications Corporation. All
Home |
Main Index |
Thread Index |
Old Index